//  SettingsController.m

#import "SettingsController.h"
#import "SettingsPopController.h"
#import "AboutController.h"
#import <AsReaderDockSDK/AsReaderDockSDK.h>

@interface SettingsController ()
@property(nonatomic, strong, readwrite) SettingsPopController *settingsPopController;
@property(nonatomic, strong, readwrite) AboutController *aboutController;
@property(nonatomic, strong) UIBarButtonItem *backBarButtonItem;

@property(nonatomic, weak) IBOutlet UITableViewCell *olCellRFID;
@property(nonatomic, weak) IBOutlet UITableViewCell *olCellRFM;
@property(nonatomic, weak) IBOutlet UITableViewCell *olCellRFIDSettigs;
@end

@implementation SettingsController

#pragma mark - Segue
//----------------------------------------------------------------
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"seguePopSettings"]) {
        self.settingsPopController = segue.destinationViewController;
    } else if ([segue.identifier isEqualToString:@"segueAbout"]) {
        self.aboutController = segue.destinationViewController;
    }
}

#pragma mark - Lifecycle
//----------------------------------------------------------------
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)viewWillAppear:(BOOL)animated
{
    AsReaderInfo *info = [AsReaderInfo sharedInstance];
    //LFRFID not support RFID Settings and RFM .
    if( info.currentReaderMode==ReaderModeBarcode ||
        info.currentReaderMode==ReaderModeRFIDLF ||
        info.currentReaderMode==ReaderModeNFC ) {
        // 現在のモードでセルの表示を制御
        // RFIDセルとRFMセルはRFIDとDUALのモードのみ表示
        [self.olCellRFID setHidden:YES];
        [self.olCellRFM setHidden:YES];
    }
}

@end
